const { invoke } = window.__TAURI__.core;

let cntMsgEl;
let pullMsgEl;

async function swap(s) {
	await invoke("swap", { store: s, acc: 1 });
	cntMsgEl.textContent = await invoke("count", {});
}

async function push() {
	pullMsgEl.textContent = await invoke("push_data", {});
}

async function pull() {
	pullMsgEl.textContent = await invoke("pull_data", {});
}

window.addEventListener("DOMContentLoaded", () => {
	cntMsgEl = document.querySelector("#cnt-msg");
	pullMsgEl = document.querySelector("#pull-msg");
	document.querySelector("#aldi-form").addEventListener("submit", (e) => {
		e.preventDefault();
		swap("aldi");
	});
	document.querySelector("#edeka-form").addEventListener("submit", (e) => {
		e.preventDefault();
		swap("edeka");
	});
	document.querySelector("#dm-form").addEventListener("submit", (e) => {
		e.preventDefault();
		swap("dm");
	});
	document.querySelector("#lidl-form").addEventListener("submit", (e) => {
		e.preventDefault();
		swap("lidl");
	});
	document.querySelector("#rewe-form").addEventListener("submit", (e) => {
		e.preventDefault();
		swap("rewe");
	});
	document.querySelector("#tegut-form").addEventListener("submit", (e) => {
		e.preventDefault();
		swap("tegut");
	});
	document.querySelector("#push-form").addEventListener("submit", (e) => {
		e.preventDefault();
		push();
	});
	document.querySelector("#pull-form").addEventListener("submit", (e) => {
		e.preventDefault();
		pull();
	});
});
